geos::util::Interrupt Class Reference

Used to manage interruption requests and callbacks. More...

`#include <Interrupt.h>`

## Public Types

typedef void | Callback(void)

## Static Public Member Functions

static void | request ()
static void | cancel ()
static bool | check ()
static Callback * | registerCallback (Callback *cb)
| Register a callback that will be invoked by all threads before checking for interruption requests.
static void | process ()
static void | interrupt ()

## Detailed Description

Used to manage interruption requests and callbacks.

## Member Function Documentation

## cancel()

void geos::util::Interrupt::cancel | ( |  | ) |

static

Cancel a pending interruption request

## check()

bool geos::util::Interrupt::check | ( |  | ) |

static

Check if an interruption request is pending

## process()

void geos::util::Interrupt::process | ( |  | ) |

static

Invoke the callback, if any. Process pending interruption, if any.

## registerCallback()

Callback * geos::util::Interrupt::registerCallback | ( | Callback * | cb | ) |

static

Register a callback that will be invoked by all threads before checking for interruption requests.

NOTE that interruption request checking may happen frequently so the callback should execute quickly.

The callback can be used to call Interrupt::request() or Interrupt::requestForCurrentThread().

## request()

void geos::util::Interrupt::request | ( |  | ) |

static

Request interruption of operations

Operations will be terminated by a GEOSInterrupt exception at first occasion, by the first thread to check for an interrupt request.

The documentation for this class was generated from the following file:

- Interrupt.h